org.kie.internal.xstream

## Class OffsetDateTimeXStreamConverter

- java.lang.Object
- - org.kie.internal.xstream.OffsetDateTimeXStreamConverter

- All Implemented Interfaces:
    com.thoughtworks.xstream.converters.Converter, com.thoughtworks.xstream.converters.ConverterMatcher

      public class OffsetDateTimeXStreamConverter
      extends Object
      implements com.thoughtworks.xstream.converters.Converter

  TODO Remove when java.time converters are provided by XStream out of the box.
  See Also:
    XStream#75

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OffsetDateTimeXStreamConverter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canConvert(Class type)`
    `void` | `marshal(Object localTimeObject, com.thoughtworks.xstream.io.HierarchicalStreamWriter writer, com.thoughtworks.xstream.converters.MarshallingContext context)`
    `Object` | `unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader, com.thoughtworks.xstream.converters.UnmarshallingContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OffsetDateTimeXStreamConverter

          public OffsetDateTimeXStreamConverter()

  - ### Method Detail

    - #### marshal

          public void marshal(Object localTimeObject,
                              com.thoughtworks.xstream.io.HierarchicalStreamWriter writer,
                              com.thoughtworks.xstream.converters.MarshallingContext context)

      Specified by:
        `marshal` in interface `com.thoughtworks.xstream.converters.Converter`

    - #### unmarshal

          public Object unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader,
                                  com.thoughtworks.xstream.converters.UnmarshallingContext context)

      Specified by:
        `unmarshal` in interface `com.thoughtworks.xstream.converters.Converter`

    - #### canConvert

          public boolean canConvert(Class type)

      Specified by:
        `canConvert` in interface `com.thoughtworks.xstream.converters.ConverterMatcher`

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.